
/* main.c */
void dispatch_hook(void);
DWord PilotMain(Word cmd, Ptr cmdPBP, Word launchFlags);
/* utils.c */
void redraw_screen(void);
void die_pending_quit(void);
void moan(char *fmt, ...);
/* irda.c */
Byte tx_buf[500 ];
Byte rx_buf[500 ];
int rx_ptr;
Word rx_fcs;
void irda_new_frame(Byte *ptr, int len);
int irda_send_data(Byte *packet, int len);
int irda_parse(Byte *ptr, int len);
void irda_init(void);
void irda_flush(void);
void irda_dispatch(void);
/* serial.c */
Byte SerialBuffer[1024 ];
Byte GetBuf[400 ];
int serial_init(void);
int serial_send(void *buf, int len);
void serial_dispatch(void);
void serial_done(void);
void serial_flush(void);
/* tab.c */
void TabTextPos(CharPtr chars, Word len, RectangleType *r, SWord *x, SWord *y);
void DrawFullTab(CharPtr chars, Word len, RectangleType *r);
void DrawEmptyTab(CharPtr chars, Word len, RectangleType *r);
int DrawTabs(void);
void TabDispatch(EventType *e);
/* slider.c */
void WinDrawNoFillRectangle(RectangleType *rt);
int GetBounds(Word formid, Word id, RectangleType *bounds);
void DrawSlider(RectangleType *bounds, int v);
void slider_dispatch(EventType *e, Word formid, Word sliderid, void (*callback)(Word, Word, int));
int SliderSet(Word formid, Word sliderid, int a);
/* cd.c */
void flash_track(Word track);
void cd_cmdst_message(Byte unit, Word cmd, Byte *data, Word len);
void cd_dispatch(EventType *e);
/* wave.c */
void wave_do_cleanup(void);
void wave_cmdst_message(Byte unit, Word cmd, Byte *data, Word len);
void wave_dispatch(EventType *e);
/* mpeg.c */
char *listnull[];
char szHistory[];
char szFavorite[];
void dodbhist(char *n);
void mpeg_do_cleanup(void);
void mpeg_cmdst_message(Byte unit, Word cmd, Byte *data, Word len);
void mpeg_dispatch(EventType *e);
/* tuner.c */
DWord off_to_freq(int i);
int freq_to_off(DWord ret);
void tuner_empty_message(int msg);
void tuner_tune(DWord f, int band, int rel);
void tuner_dispatch(EventType *e);
void tuner_cmdst_message(Byte unit, Word cmd, Byte *data, Word len);
/* hifi.c */
Byte hifi_msgbuf[1024];
void hifi_valid_cmd(Byte sclass, Byte sunit, Byte dclass, Byte dunit, Word cmd, Byte *data, Word len);
int hifimsg_send(void *lib, Byte *ptr, Word len);
/* system.c */
void system_cmdst_message(Byte class, Byte unit, Word cmd, Byte *data, Word len);
void system_dispatch(EventType *e);
/* preferences.c */
int prefs[8 ];
void preferences_done(void);
void preferences_init(void);
void preferences_open(void);
void preferences_dispatch(EventType *e);
/* favorite.c */
int favnum(void);
Int16 comp(void *r1, void *r2, Int16 other, SortRecordInfoPtr rec1SortInfo, SortRecordInfoPtr rec2SortInfo, VoidHand appInfoH);
void favorite_dispatch(EventType *e);
/* ogg.c */
void ogg_dispatch(EventType *e);
void ogg_cmdst_message(Byte unit, Word cmd, Byte *data, Word len);
